package cn.teammodel.model.dto.admin.weekduty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2024-01-15 10:30
 */
@Data
public class AdminFindDutyRecordDto {
    @ApiModelProperty("老师 id")
    private String teacherId;
    @ApiModelProperty(value = "班级 id", notes = "若不携带默认不指定某个班级")
    private String classId;
    @ApiModelProperty(required = true)
    @NotNull(message = "academicYearid 不能为空")
    private String academicYearId;
    @ApiModelProperty(value = "是否加分", notes = "若不携带默认为全部")
    private Boolean positive;
    @ApiModelProperty(value = "起始时间", notes = "若不携带默认为当前周")
    private Long startTime;
    @ApiModelProperty(value = "结束时间", notes = "若不携带默认为当前周")
    private Long endTime;
}
